Debian Bug report logs - #397993
gtk-qt-engine: File conflict

version graph

Package: gtk-qt-engine; Maintainer for gtk-qt-engine is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>;

Reported by: Stephen Gran <sgran@debian.org>

Date: Fri, 10 Nov 2006 23:48:01 UTC

Severity: serious

Found in version gtk-qt-engine/1:0.7-2

Fixed in version gtk-qt-engine/1:0.7-3

Done: Bastian Venthur <venthur@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bastian Venthur <venthur@debian.org>:
Bug#397993; Package gtk-qt-engine. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
New Bug report received and forwarded. Copy sent to Bastian Venthur <venthur@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gtk-qt-engine: File conflict
Date: Fri, 10 Nov 2006 23:33:38 +0000
[Message part 1 (text/plain, inline)]
Package: gtk-qt-engine
Version: 1:0.7-2
Severity: serious

Selecting previously deselected package gtk-qt-engine.
Unpacking gtk-qt-engine (from .../gtk-qt-engine_1%3a0.7-2_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/gtk-qt-engine_1%3a0.7-2_i386.deb (--unpack):
 trying to overwrite `/usr/share/gtk-qt-engine/kde-index.theme', which is also in package gtk2-engines-gtk-qt
Errors were encountered while processing:
 /var/cache/apt/archives/gtk-qt-engine_1%3a0.7-2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Thanks,

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-686
Locale: LANG=en_US.UTF8, LC_CTYPE=en_US.UTF8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF8)

-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#397993; Package gtk-qt-engine. Full text and rfc822 format available.

Acknowledgement sent to Bastian Venthur <venthur@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 397993@bugs.debian.org (full text, mbox):

From: Bastian Venthur <venthur@debian.org>
To: Stephen Gran <sgran@debian.org>, 397993@bugs.debian.org
Subject: Re: Bug#397993: gtk-qt-engine: File conflict
Date: Sat, 11 Nov 2006 12:52:14 +0100
Hi,

just re-running aptitudue (or whatever you use) will solve the problem.

This problem seems to be related to the renaming of the package I've
done with the last upload. I've followed exactly method A from

	http://wiki.debian.org/Renaming_a_Package

which isn't the cleanest method, but the other one is not applicable
before etch.

Since this does not really break something and disappears as soon as you
re-run aptitude I'd propose to downgrade this bug to minor or normal and
close it when the package entered stable (not only testing), If you
don't mind?


Cheers,

Bastian


-- 
Bastian Venthur                                      http://venthur.de
Debian Developer                                 venthur at debian org




Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Venthur <venthur@debian.org>:
Bug#397993; Package gtk-qt-engine. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Bastian Venthur <venthur@debian.org>. Full text and rfc822 format available.

Message #15 received at 397993@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Bastian Venthur <venthur@debian.org>
Cc: 397993@bugs.debian.org
Subject: Re: Bug#397993: gtk-qt-engine: File conflict
Date: Sat, 11 Nov 2006 13:23:06 +0000
[Message part 1 (text/plain, inline)]
This one time, at band camp, Bastian Venthur said:
> Hi,
> 
> just re-running aptitudue (or whatever you use) will solve the problem.

Yes, the problem is solved for me, but that isn't really the issue.

> This problem seems to be related to the renaming of the package I've
> done with the last upload. I've followed exactly method A from
> 
> 	http://wiki.debian.org/Renaming_a_Package
> 
> which isn't the cleanest method, but the other one is not applicable
> before etch.

It looks like you have followed it exactly, and I don't immediately see
why it didn't work.

> Since this does not really break something and disappears as soon as you
> re-run aptitude I'd propose to downgrade this bug to minor or normal and
> close it when the package entered stable (not only testing), If you
> don't mind?

I am more worried that this sort of silly bug breaks dist-upgrading.
Before we downgrade it or do something else, let's get another pair of
eyes on it to see if anyone can spot the problem.
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Venthur <venthur@debian.org>:
Bug#397993; Package gtk-qt-engine. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Bastian Venthur <venthur@debian.org>. Full text and rfc822 format available.

Message #20 received at 397993@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Bastian Venthur <venthur@debian.org>
Cc: 397993@bugs.debian.org
Subject: Re: Bug#397993: gtk-qt-engine: File conflict
Date: Sat, 11 Nov 2006 13:55:55 +0000
[Message part 1 (text/plain, inline)]
This one time, at band camp, Stephen Gran said:
> This one time, at band camp, Bastian Venthur said:
> 
> > This problem seems to be related to the renaming of the package I've
> > done with the last upload. I've followed exactly method A from
> > 
> > 	http://wiki.debian.org/Renaming_a_Package
> > 
> > which isn't the cleanest method, but the other one is not applicable
> > before etch.
> 
> It looks like you have followed it exactly, and I don't immediately see
> why it didn't work.

After some discussion on IRC, it appears that you should include the
debian revision in the conflicts/replaces/etc versioning.  So instead of
<< 1:07, use << 1:07-2.

Take care,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Venthur <venthur@debian.org>:
Bug#397993; Package gtk-qt-engine. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Bastian Venthur <venthur@debian.org>. Full text and rfc822 format available.

Message #25 received at 397993@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Bastian Venthur <venthur@debian.org>
Cc: 397993@bugs.debian.org
Subject: Re: Bug#397993: gtk-qt-engine: File conflict
Date: Sat, 11 Nov 2006 20:30:16 +0000
[Message part 1 (text/plain, inline)]
This one time, at band camp, Bastian Venthur said:
> Stephen Gran wrote:
> > After some discussion on IRC, it appears that you should include the
> > debian revision in the conflicts/replaces/etc versioning.  So instead of
> > << 1:07, use << 1:07-2.
> 
> Ah, thanks for the hint. I'll try it tomorrow and if it works I'll
> update the wiki and upload as soon as possible.

No problem - hope it's right :)

> Cheers and nice weekend,

You too,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#397993; Package gtk-qt-engine. Full text and rfc822 format available.

Acknowledgement sent to Bastian Venthur <venthur@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #30 received at 397993@bugs.debian.org (full text, mbox):

From: Bastian Venthur <venthur@debian.org>
To: Stephen Gran <sgran@debian.org>, 397993@bugs.debian.org
Subject: Re: Bug#397993: gtk-qt-engine: File conflict
Date: Sat, 11 Nov 2006 21:21:45 +0100
Stephen Gran wrote:
> After some discussion on IRC, it appears that you should include the
> debian revision in the conflicts/replaces/etc versioning.  So instead of
> << 1:07, use << 1:07-2.

Ah, thanks for the hint. I'll try it tomorrow and if it works I'll
update the wiki and upload as soon as possible.


Cheers and nice weekend,

Bastian


-- 
Bastian Venthur                                      http://venthur.de
Debian Developer                                 venthur at debian org




Reply sent to Bastian Venthur <venthur@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stephen Gran <sgran@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 397993-close@bugs.debian.org (full text, mbox):

From: Bastian Venthur <venthur@debian.org>
To: 397993-close@bugs.debian.org
Subject: Bug#397993: fixed in gtk-qt-engine 1:0.7-3
Date: Sun, 12 Nov 2006 05:32:25 -0800
Source: gtk-qt-engine
Source-Version: 1:0.7-3

We believe that the bug you reported is fixed in the latest version of
gtk-qt-engine, which is due to be installed in the Debian FTP archive:

gtk-qt-engine_0.7-3.diff.gz
  to pool/main/g/gtk-qt-engine/gtk-qt-engine_0.7-3.diff.gz
gtk-qt-engine_0.7-3.dsc
  to pool/main/g/gtk-qt-engine/gtk-qt-engine_0.7-3.dsc
gtk-qt-engine_0.7-3_i386.deb
  to pool/main/g/gtk-qt-engine/gtk-qt-engine_0.7-3_i386.deb
gtk2-engines-gtk-qt_0.7-3_all.deb
  to pool/main/g/gtk-qt-engine/gtk2-engines-gtk-qt_0.7-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 397993@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Venthur <venthur@debian.org> (supplier of updated gtk-qt-engine package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 12 Nov 2006 12:30:26 +0100
Source: gtk-qt-engine
Binary: gtk-qt-engine gtk2-engines-gtk-qt
Architecture: source all i386
Version: 1:0.7-3
Distribution: unstable
Urgency: low
Maintainer: Bastian Venthur <venthur@debian.org>
Changed-By: Bastian Venthur <venthur@debian.org>
Description: 
 gtk-qt-engine - theme engine using Qt for GTK+ 2.x
 gtk2-engines-gtk-qt - transitional dummy package
Closes: 397993
Changes: 
 gtk-qt-engine (1:0.7-3) unstable; urgency=low
 .
   * Added Debian revision to conflics- and replaces-line in order to resolve
     File conflict (Closes: #397993). Many thanks to Stephen Gran.
 .
   * Updated upstreams hompage URL
Files: 
 ac375f0ff346a97a1b553047bb9beb75 635 kde optional gtk-qt-engine_0.7-3.dsc
 112906784c43aef51ac63c5566590dbd 26835 kde optional gtk-qt-engine_0.7-3.diff.gz
 ea5abac225287987149970ab65cf14c3 4798 kde optional gtk2-engines-gtk-qt_0.7-3_all.deb
 e13e8cec6d1851fd8ce661671f9b4f78 93152 kde optional gtk-qt-engine_0.7-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFVyAxmj66P/Yfc/gRAgF0AJ0R5V4yArtdJ1akBo6xkNwmUkvonACfVvw+
OcVDR8Zb9+m/F+UDUAvBi2I=
=Fp9t
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 04:49:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:35:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.